{-# LANGUAGE OverloadedStrings #-}

module Shift.Server (runServer) where

import Web.Scotty (scotty, get, param, html)
import Shift.CLI (ShiftOptions)
import Shift.Git (renderToNode)
import Control.Monad.IO.Class (MonadIO(liftIO))
import CMarkGFM (nodeToHtml, nodeToHtml, commonmarkToHtml)
import Data.Text.Lazy (fromChunks)

runServer :: ShiftOptions -> IO ()
runServer options = scotty 3000 $
    get "/" $ do
        node <- liftIO $ renderToNode options
        html $ fromChunks [nodeToHtml [] [] node]
